<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/interact/expansionactionopen.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/dd7/a00260_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionopen.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/dd7/a00260.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionOpen.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dd/ddd/a03738.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/ddd/a03738.html">ExpansionActionOpen</a>: ActionInteractBase</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">   15</a></span>    <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dd/ddd/a03738.html#a9784722696a2040986a0956f41f9a1f1">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/ddd/a03738.html#a9784722696a2040986a0956f41f9a1f1">ExpansionActionOpen</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_CROUCH | DayZPlayerConstants.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_HUDCursorIcon = CursorIcons.OpenDoors;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dd/ddd/a03738.html#abf269bf7c54e97842c4d7a2b3c9adfc6">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/ddd/a03738.html#abf269bf7c54e97842c4d7a2b3c9adfc6">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_ConditionTarget = <span class="keyword">new</span> CCTCursorNoObject( UAMaxDistances.DEFAULT );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../dd/ddd/a03738.html#a8b412672f876e5cf69009f25d4f49c32">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/ddd/a03738.html#a8b412672f876e5cf69009f25d4f49c32">GetText</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a> &amp;&amp; <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.<a class="code hl_function" href="../../d7/d82/a03774.html#a1b94569f63e51cbb3f67ba452b98066d">ExpansionIsLocked</a>() )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordtype">string</span> type = <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.GetType();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.IsInherited( <a class="code hl_class" href="../../d1/d98/a00407.html#d4/d72/a03886">ExpansionSafeBase</a> ) )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_OPEN_LOCKED_SAFE&quot;</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_class" href="../../d7/ddf/a03898.html">ExpansionWallBase</a> wall;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">if</span> ( (Class.CastTo( wall, <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a> ) &amp;&amp; wall.<a class="code hl_function" href="../../d7/ddf/a03898.html#afc853e2690c839d8e181be730da54b32">HasGate</a>()) || type == <span class="stringliteral">&quot;Fence&quot;</span> )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_OPEN_LOCKED_GATE&quot;</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.IsKindOf( <span class="stringliteral">&quot;Container_Base&quot;</span> ) &amp;&amp; !<a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.IsBuilding() )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <span class="keywordflow">if</span> ( type.Contains(<span class="stringliteral">&quot;Safe&quot;</span>) )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                    <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_OPEN_LOCKED_SAFE&quot;</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_OPEN_LOCKED_CONTAINER&quot;</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_OPEN_LOCKED_DOOR&quot;</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#open&quot;</span>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dd/ddd/a03738.html#a44a03c17aa2c8821905ad02c915a0fd9">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/ddd/a03738.html#a44a03c17aa2c8821905ad02c915a0fd9">ActionCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> ( !Class.CastTo( <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>, target.GetObject() ) )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <span class="keywordflow">if</span> ( !Class.CastTo( <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>, target.GetParent() ) )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordtype">string</span> selection = <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.<a class="code hl_function" href="../../d7/d82/a03774.html#a661d0be085c1e8ff67eff29f5abf3d11">ExpansionCanOpen</a>( player, selection );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../dd/ddd/a03738.html#ad22bb3a93b41b0b71281a26f10a9afb8">   63</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/ddd/a03738.html#ad22bb3a93b41b0b71281a26f10a9afb8">OnStartServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a> || ( <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.<a class="code hl_function" href="../../d7/d82/a03774.html#a1b94569f63e51cbb3f67ba452b98066d">ExpansionIsLocked</a>() &amp;&amp; !<a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.<a class="code hl_function" href="../../d7/d82/a03774.html#a77bfda22a128dca3b0b90f1c2d48af16">IsKnownUser</a>( action_data.m_Player ) ) )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordtype">string</span> selection = <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.GetActionComponentName( action_data.m_Target.GetComponentIndex() );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.<a class="code hl_function" href="../../d7/d82/a03774.html#a1b94569f63e51cbb3f67ba452b98066d">ExpansionIsLocked</a>() )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.<a class="code hl_function" href="../../d7/d82/a03774.html#a5e940243b6723319fba6925cd48b6952">UnlockAndOpen</a>( selection );</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <a class="code hl_variable" href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">m_Target</a>.<a class="code hl_function" href="../../d7/d82/a03774.html#a82f9866c70e714a96f0b31e3133d6f59">Open</a>( selection );</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>}</div>
<div class="ttc" id="aa00407_html_d4/d72/a03886"><div class="ttname"><a href="../../d1/d98/a00407.html#d4/d72/a03886">ExpansionSafeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00016">expansionsafe01.c:17</a></div></div>
<div class="ttc" id="aa03738_html"><div class="ttname"><a href="../../dd/ddd/a03738.html">ExpansionActionOpen</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd7/a00260_source.html#l00013">expansionactionopen.c:14</a></div></div>
<div class="ttc" id="aa03738_html_a44a03c17aa2c8821905ad02c915a0fd9"><div class="ttname"><a href="../../dd/ddd/a03738.html#a44a03c17aa2c8821905ad02c915a0fd9">ExpansionActionOpen::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd7/a00260_source.html#l00052">expansionactionopen.c:52</a></div></div>
<div class="ttc" id="aa03738_html_a8b412672f876e5cf69009f25d4f49c32"><div class="ttname"><a href="../../dd/ddd/a03738.html#a8b412672f876e5cf69009f25d4f49c32">ExpansionActionOpen::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd7/a00260_source.html#l00030">expansionactionopen.c:30</a></div></div>
<div class="ttc" id="aa03738_html_a9784722696a2040986a0956f41f9a1f1"><div class="ttname"><a href="../../dd/ddd/a03738.html#a9784722696a2040986a0956f41f9a1f1">ExpansionActionOpen::ExpansionActionOpen</a></div><div class="ttdeci">void ExpansionActionOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd7/a00260_source.html#l00017">expansionactionopen.c:17</a></div></div>
<div class="ttc" id="aa03738_html_abf269bf7c54e97842c4d7a2b3c9adfc6"><div class="ttname"><a href="../../dd/ddd/a03738.html#abf269bf7c54e97842c4d7a2b3c9adfc6">ExpansionActionOpen::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd7/a00260_source.html#l00024">expansionactionopen.c:24</a></div></div>
<div class="ttc" id="aa03738_html_ad22bb3a93b41b0b71281a26f10a9afb8"><div class="ttname"><a href="../../dd/ddd/a03738.html#ad22bb3a93b41b0b71281a26f10a9afb8">ExpansionActionOpen::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd7/a00260_source.html#l00063">expansionactionopen.c:63</a></div></div>
<div class="ttc" id="aa03738_html_ae9d9ad16424bcd26d3ab2acf675dc557"><div class="ttname"><a href="../../dd/ddd/a03738.html#ae9d9ad16424bcd26d3ab2acf675dc557">ExpansionActionOpen::m_Target</a></div><div class="ttdeci">ItemBase m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd7/a00260_source.html#l00015">expansionactionopen.c:15</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03774_html_a1b94569f63e51cbb3f67ba452b98066d"><div class="ttname"><a href="../../d7/d82/a03774.html#a1b94569f63e51cbb3f67ba452b98066d">ItemBase::ExpansionIsLocked</a></div><div class="ttdeci">override bool ExpansionIsLocked()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d8a/a08917_source.html#l00499">itembase.c:499</a></div></div>
<div class="ttc" id="aa03774_html_a5e940243b6723319fba6925cd48b6952"><div class="ttname"><a href="../../d7/d82/a03774.html#a5e940243b6723319fba6925cd48b6952">ItemBase::UnlockAndOpen</a></div><div class="ttdeci">void UnlockAndOpen(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d8a/a08917_source.html#l00372">itembase.c:372</a></div></div>
<div class="ttc" id="aa03774_html_a661d0be085c1e8ff67eff29f5abf3d11"><div class="ttname"><a href="../../d7/d82/a03774.html#a661d0be085c1e8ff67eff29f5abf3d11">ItemBase::ExpansionCanOpen</a></div><div class="ttdeci">bool ExpansionCanOpen(PlayerBase player, string selection)</div><div class="ttdoc">Returning if player can open item from selection.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d8a/a08917_source.html#l00326">itembase.c:326</a></div></div>
<div class="ttc" id="aa03774_html_a77bfda22a128dca3b0b90f1c2d48af16"><div class="ttname"><a href="../../d7/d82/a03774.html#a77bfda22a128dca3b0b90f1c2d48af16">ItemBase::IsKnownUser</a></div><div class="ttdeci">bool IsKnownUser(PlayerBase player)</div><div class="ttdoc">Return if player is a known user of (attached) code lock or safe.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d8a/a08917_source.html#l00681">itembase.c:681</a></div></div>
<div class="ttc" id="aa03774_html_a82f9866c70e714a96f0b31e3133d6f59"><div class="ttname"><a href="../../d7/d82/a03774.html#a82f9866c70e714a96f0b31e3133d6f59">ItemBase::Open</a></div><div class="ttdeci">void Open(string selection)</div><div class="ttdoc">Opening item on defined selection.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d8a/a08917_source.html#l00353">itembase.c:353</a></div></div>
<div class="ttc" id="aa03898_html"><div class="ttname"><a href="../../d7/ddf/a03898.html">ExpansionWallBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d43/a00422_source.html#l00013">expansionwall.c:14</a></div></div>
<div class="ttc" id="aa03898_html_afc853e2690c839d8e181be730da54b32"><div class="ttname"><a href="../../d7/ddf/a03898.html#afc853e2690c839d8e181be730da54b32">ExpansionWallBase::HasGate</a></div><div class="ttdeci">bool HasGate()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d43/a00422_source.html#l00152">expansionwall.c:152</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_45ea8e8df14ee345e75e585eeda3842f.html">interact</a></li><li class="navelem"><a class="el" href="../../dd/dd7/a00260.html">expansionactionopen.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
